import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  The <code>AWS::AppSync::DomainName</code> resource creates a <code>DomainNameConfig</code> object to configure a custom domain.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-appsync-domainname.html">the AWS Docs</a>
*/
export function domainName(domainNameProps) {
    return new AwsResource('AWS::AppSync::DomainName', domainNameProps, { AppSyncDomainName: 'AppSyncDomainName', DomainName: 'DomainName', HostedZoneId: 'HostedZoneId' });
}
